<?php
/**
* JSEOPlugin 2.3
* SEO Plugin for Joomla 1.5.x
* 
* @version 13.11.10 
* @author Leonid Tushov <gfk@mail.ru (modify by ramzes_ra)>
* @copyright 2010 Leonid Tushov
* @license http://www.opensource.org/licenses/lgpl-license.php LGPL
* @link http://tushov.ru
* @modify by ramzes_ra http://esculap.us
*/

     $del_symbols = array(
	",", ".", ";", ":", "\"", "#", "\$", "%", "^","!", "@", "`", "~", "*","  ",  "=", "+", "\\", "«", "»","|", "/", ">", "<", "(", ")", "&", "?", "?", "\t","\r", "\n", "{","}","[","]", "(", ")", "'", "“", "”", "•","0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "-"
);


                         
$stopwords = array(
'благодарю','благодаря','близко','более','более-менее','большая','больше','большие','больших','большое','большой','большой','большую','будем','будет','будешь','буду','будут','будучи','будь','будьте','была','были','было','быстро','быть','важно','вами','ваше','вашего','вашей','вашем','вашему','ваши','вашим','вашими','ваших','ваших','вашу','вблизи','ведь','везде','великолепно','весь','весьма','вида','виде','виду','вместе','вместо','внутри','внутрь','возле','вокруг','вообще','восемь','восмерых','восмью','восьмеро','восьмерым','восьмерыми','восьми','восьмого','восьмой','восьмом','восьмому','восьмым','восьмых','вперед','вполне','временами','временем','времени','время','всевозможным','всегда','всего','всей','всем','всеми','всему','всё-таки','всех','всею','вследствие','всяк','всякая','всякие','всякий','всяким','всякими','всяких','всякого','всякое','всякой','всяком','всякому','всякую','второго','второй','втором','второму','вторым','выглядит','выглядят','высшие','вышла','горазд','гораздо','гран','давал','давали','даже','далее','далеко','данном','даются','двоих','двум','двумя','двух','девятеро','девяти','девятом','девятому','девятый','девятым','девятыми','девятых','девять','девятью','действительно','день','десятеро','десятерых','десяти','десятом','десятый','десятым','десятых','десять','дней','днем','дням','днями','днях','должно','должны','дома','доме','домом','дому','другими','других','если','есть','жабе','зависящей','зависящие','затем','затем-то','захотел','захотела','захотели','захочу','зачем','зачем-то','здесь','знает','знаешь','знал','знала','знали','знало','знать','значит','значительно','знаю','из-под','именно','имхо','иначе','иногда','искал','искала','искали','искало','искать','итак','каждые','каждый','какая','какие','каким','каких','какого','какое','какой','каком','какому','какую','когда','когда-нибудь','кого','кому','которая','которого','которое','которой','котором','которому','которою','которую','которые','который','которым','которыми','которых','кроме','кстати','кто-то','куда','легко','либо','личной','лучшая','лучше','лучшее','лучшие','лучший','любая','любого','любое','любой','любом','любому','любую','любые','любым','любыми','любых','маленькая','маленький','маленьким','маленького','маленькое','маленькой','маленьком','маленькому','маленькую','малых','между','мелко','менее','меньше','меня','минимум','многие','многими','много','многократные','мной','мною','моги','могите','могла','могли','могло','могу','могут','моего','моей','моем','моему','моею','можем','может','можете','можешь','можно','моим','моими','моих','мочь','надо','назад','наиболее','наименее','наконец','нами','напишет','напишу','напишут','например','наша','наше','нашего','нашей','нашем','нашему','нашею','наши','нашим','нашими','наших','нашу','невозможность','него','недавно','нежели','некоторые','нельзя','немного','нему','необыкновенно','непосредственно','несколько','неужели','никогда','никто','ними','ничего','ничто','новая','нового','новое','новой','новом','новому','новостей','новости','новость','новостями','новую','новый','новым','новых','нужен','нужно','нужны','образом','обратно','один','одинаково','одинаковый','одна','однако','одни','одним','одними','одних','одно','одного','одной','одному','одною','одну','около','окуда','основной','основным','особенно','особливо','ответ','ответил','ответила','ответили','ответило','отдельных','отнюдь','отчего','очевидно','очень','первое','первом','перед','петеро','писал','писала','писали','писало','пишет','пишу','пишут','плохо','поблизости','пожалуйста','пока','получала','получали','получало','получать','получил','получила','получили','получило','получить','полчаса','пора','порам','порами','поре','порой','пору','поры','посему','после','после','постепенно','потом','потому','почему','почти','пошли','поэтому','правда','правой','пред','прежде','примерно','просто','против','прошел','прошла','прошли','прошло','пускай','пусть','пятером','пятерых','пятом','пятому','пятый','пятым','пятыми','пятых','пять','равным','раза','разве','разных','реже','сама','сами','самим','самими','самих','само','самого','самое','самой','самом','самому','самоя','саму','самую','самые','самый','самым','самыми','самых','сверх','свое','своего','своей','своем','своему','своею','свои','своим','своими','своих','свой','свою','своя','сделайте','сделал','сделала','сделали','сделало','себе','себя','сегодня','седьмому','седьмым','седьмыми','седьмых','сейчас','семеро','семерых','семи','семь','сильнее','сильно','сильного','сильное','сильной','сквозь','сколько','скорее','скоро','скруп','случае','случаем','случай','случайно','случаю','случая','смотря','снаружи','снова','собой','собою','совсем','спасибо','старая','старого','старое','старой','старом','старому','старую','старый','старым','старых','стороне','сторону','такая','также','такие','таким','такими','таких','такого','такое','такой','таком','такому','такою','твое','твоего','твои','твой','твою','твоя','тебе','тебя','теми','теперь','тобой','тобою','тогда','того','тоже','только','тому','трем','тремя','третий','третьим','третьими','третьих','трех','троим','троими','троих','трудно','туда','ужасно','узнает','узнают','ушел','ушла','ушли','ушло','ходил','ходила','ходили','ходило','ходит','ходить','ходят','хорошо','хотел','хотела','хотели','хотело','хоть','хотя','хочу','часа','часов','частей','части','часто','частью','чаще','чего','чего','чем-то','чему','червертых','через','четвертом','четвертому','четвертый','четвертым','четвертыми','четверть','четыре','чисто','чрезвычайно','чтоб','чтобы','чьей','чьему','чьим','чьими','чьих','шестеро','шестеры','шестого','шестой','шестому','шестым','шестыми','шесть','шестью','этим','этим','этими','этих','этого','этой','этом','этому','этот','является','являются'
);

            $repl = array('А'=>'а', 'Б'=>'б', 'В'=>'в','Г'=>'г', 'Д'=>'д', 'Е'=>'е', 'ё'=>'e', 'Ё'=>'е', 'Ж'=>'ж', 'З'=>'з', 'И'=>'и',  'К'=>'к',  'Л'=>'л', 'М'=>'м', 'Н'=>'н',  'О'=>'о', 'П'=>'п',  'Р'=>'р',  'С'=>'с',  'Т'=>'т', 'У'=>'у', 'ф'=>'ф',   'Х'=>'х', 'Ц'=>'ц',  'Ч'=>'ч',  'Ш'=>'ш',  'Щ'=>'щ', 'Э'=>'э', 'Ю'=>'ю','Я'=>'я');
    
?>